package com.ruoyi.app.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家族成员对象 tb_family_member
 * 
 * @author Administrator
 * @date 2020-09-29
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_family_member")
public class TbFamilyMember implements Serializable {

    private static final long serialVersionUID=1L;


    /** 主键ID */
    @TableId(value = "id")
    private Long id;

    /** 会员id */
    @Excel(name = "会员id")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long appUserId;

    /** 家族id */
    @Excel(name = "家族id")
    private Long familyId;

    /** 是否家族管理员 1是 0否 */
    @Excel(name = "是否家族管理员 1是 0否")
    private String admin;

    /** 父成员id */
    @Excel(name = "父成员id")
    private Long parentId;

    /** 配偶id */
    @Excel(name = "配偶id")
    private Long spouseId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 生日 */
    @Excel(name = "生日" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /** 性别：1-男，2-女，0-未知（字典） */
    @Excel(name = "性别：1-男，2-女，0-未知" , readConverterExp = "字=典")
    private String gender;

    /** 文化程度（字典） */
    @Excel(name = "文化程度" , readConverterExp = "字=典")
    private String education;

    /** 状态：1读书、2工作、3退休、4过世 */
    @Excel(name = "状态：1读书、2工作、3退休、4过世")
    private String state;

    /** 创建者 */
    private Long createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private Long updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
