package com.ruoyi.app.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "会员+家族成员")
public class AppMemberVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value="会员id")
    private Long userId;

    @ApiModelProperty(value="家族成员id")
    private Long memberId;

    /** 是否已经加入家族 1是 0否 */
    @ApiModelProperty(value="是否已经加入家族 1是 0否")
    @Excel(name = "是否已经加入家族 1是 0否")
    private String joins;

    /** 页面模板id */
    @ApiModelProperty(value="页面模板id")
    @Excel(name = "页面模板id")
    private Long templateId;

    /** 昵称 */
    @ApiModelProperty(value="昵称")
    @Excel(name = "昵称")
    private String nickName;

    /** 头像url */
    @ApiModelProperty(value="头像url")
    @Excel(name = "头像url")
    private String avatar;

    /** 二维码code */
    @ApiModelProperty(value="二维码code")
    @Excel(name = "二维码code")
    private String qrcode;

    /** 手机号码 */
    @ApiModelProperty(value="手机号码")
    @Excel(name = "手机号码")
    private String mobile;

    /** openid */
    @ApiModelProperty(value="openid")
    @Excel(name = "openid")
    private String openid;

    /** verCode */
    @ApiModelProperty(value="verCode")
    @Excel(name = "verCode")
    private String verCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="最后登录时间")
    private Date loginTime;

    @ApiModelProperty(value="登录ip")
    private String loginIp;

    /** 启用  1是 0否 */
    @ApiModelProperty(value="启用  1是 0否")
    @Excel(name = "启用  1是 0否")
    private String enable;

    /** 删除  1是 0否 */
    @ApiModelProperty(value="删除  1是 0否")
    @Excel(name = "删除  1是 0否")
    private String deleted;




    /** 家族id */
    @ApiModelProperty(value="家族id")
    @Excel(name = "家族id")
    private Long familyId;

    /** 是否家族管理员 1是 0否 */
    @ApiModelProperty(value="家族id")
    @Excel(name = "家族id")
    private String admin;

    /** 父成员id */
    @ApiModelProperty(value="父成员id")
    @Excel(name = "父成员id")
    private Long parentId;

    /** 配偶id */
    @ApiModelProperty(value="配偶id")
    @Excel(name = "配偶id")
    private Long spouseId;

    /** 姓名 */
    @ApiModelProperty(value="姓名")
    @Excel(name = "姓名")
    private String name;

    /** 生日 */
    @ApiModelProperty(value="生日")
    @Excel(name = "生日" , width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /** 性别：1-男，2-女，0-未知（字典） */
    @ApiModelProperty(value="性别 1-男，2-女，0-未知")
    @Excel(name = "性别" , readConverterExp = "字=典")
    private String gender;

    /** 文化程度（字典） */
    @ApiModelProperty(value="文化程度")
    @Excel(name = "文化程度" , readConverterExp = "字=典")
    private String education;

    /** 状态：1读书、2工作、3退休、4过世 */
    @ApiModelProperty(value="态：1读书、2工作、3退休、4过世")
    @Excel(name = "状态：1读书、2工作、3退休、4过世")
    private String state;


    private Long memberCreateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date memberCreateTime;
    private Long memberUpdateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date memberUpdateTime;
    private String memberRemark;

    private Long userCreateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date userCreateTime;
    private Long userUpdateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date userUpdateTime;
    private String userRemark;
}
